/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.webservice.exception;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface ExceptionServiceInterface extends Remote
{
   void throwException() throws UserException, RemoteException;

   void throwExceptionWithMessage(String message) throws UserMessageException, RemoteException;

   void throwComplexUserException(String message, int code) throws ComplexUserException, RemoteException;

   void throwComplexUserArrayException(String message, int[] code) throws ComplexUserArrayException, RemoteException;
}
